org.openi.web
Class RequestFilter
java.lang.Object
org.openi.web.RequestFilter
- All Implemented Interfaces:
- javax.servlet.Filter
public class RequestFilter
- extends java.lang.Object
- implements javax.servlet.Filter
Based on the orignal RequestFilter from jpivot. This one is modified to prevent the
busy page, prevent writing the error directly to stream, and other
nuisances caused by the classes predecessor.
|
Field Summary |
static java.lang.String |
CONTEXT
Name of the Request Attribute containing the Request.getRequestURI |
static java.lang.String |
FORCE_INDEX_JSP
if the session attribute FORCE_INDEX_JSP exists, then the client will be redirected to index.jsp |
static java.lang.String |
RESET_RANDOM_SEED
If this request parameter is present, the DomUtils.randomId()
will be reset once. |
|
Method Summary |
void |
destroy()
|
void |
doFilter(javax.servlet.ServletRequest req,
javax.servlet.ServletResponse res,
javax.servlet.FilterChain chain)
|
void |
init(javax.servlet.FilterConfig config)
|
static void |
setForceIndexJsp(javax.servlet.http.HttpSession session,
boolean b)
|
static void |
setSessionIsNew(javax.servlet.http.HttpSession session,
boolean isNew)
|
| Methods inherited from class java.lang.Object |
clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait |
CONTEXT
public static final java.lang.String CONTEXT
- Name of the Request Attribute containing the Request.getRequestURI
- See Also:
- Constant Field Values
FORCE_INDEX_JSP
public static final java.lang.String FORCE_INDEX_JSP
- if the session attribute FORCE_INDEX_JSP exists, then the client will be redirected to index.jsp
- See Also:
- Constant Field Values
RESET_RANDOM_SEED
public static final java.lang.String RESET_RANDOM_SEED
- If this request parameter is present, the DomUtils.randomId()
will be reset once.
- See Also:
- Constant Field Values
RequestFilter
public RequestFilter()
init
public void init(javax.servlet.FilterConfig config)
throws javax.servlet.ServletException
- Specified by:
init in interface javax.servlet.Filter
- Throws:
javax.servlet.ServletException
doFilter
public void doFilter(javax.servlet.ServletRequest req,
javax.servlet.ServletResponse res,
javax.servlet.FilterChain chain)
throws java.io.IOException,
javax.servlet.ServletException
- Specified by:
doFilter in interface javax.servlet.Filter
- Throws:
java.io.IOException
javax.servlet.ServletException
setSessionIsNew
public static void setSessionIsNew(javax.servlet.http.HttpSession session,
boolean isNew)
setForceIndexJsp
public static void setForceIndexJsp(javax.servlet.http.HttpSession session,
boolean b)
destroy
public void destroy()
- Specified by:
destroy in interface javax.servlet.Filter